petsc-3.15.0 2021-03-30
Report Typos and Errors

# VecScatterDestroy

Destroys a scatter context created by VecScatterCreate()

### Synopsis

    #include "petscsf.h"
    PetscErrorCode VecScatterDestroy(VecScatter *sf)

Collective on VecScatter

### Input Parameter

| sf | - the scatter context

### See Also

VecScatterCreate(), VecScatterCopy()

### Level

intermediate

### Location

src/vec/is/sf/interface/vscat.c

### Examples

src/vec/vec/utils/tagger/tutorials/ex1.c.html
src/vec/vec/tutorials/ex44.c.html
src/dm/tutorials/ex6.c.html
src/ksp/ksp/tutorials/ex43.c.html
src/ksp/ksp/tutorials/ex49.c.html
src/ksp/ksp/tutorials/ex73.c.html
src/tao/constrained/tutorials/ex1.c.html
src/tao/pde_constrained/tutorials/elliptic.c.html
src/tao/pde_constrained/tutorials/parabolic.c.html
src/tao/pde_constrained/tutorials/hyperbolic.c.html
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages